import * as $dara from '@darabonba/typescript';
import { UpdateWhiteListStrategyStatusResponseBody } from "./UpdateWhiteListStrategyStatusResponseBody";
export declare class UpdateWhiteListStrategyStatusResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: UpdateWhiteListStrategyStatusResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
